import type { NextConfig } from "next";

const nextConfig: NextConfig = {
  /* config options here */
    webpack(config, { isServer }) {
        // 仅在服务器端处理 .node 文件
        if (isServer) {
            config.module.rules.push({
                test: /\.node$/,
                use: 'node-loader',  // 使用 node-loader 处理 .node 文件
            });
        }
        return config;
    },
};

export default nextConfig;
